## itk4 4.1.0

=== debian/changelog ===
itk4 (4.1.0-4) unstable; urgency=medium

  * Fix building source after successful build (closes: #1047437).
  * Add the debian/watch uscan control file.
  * Cleanup debian/control.
  * Bump debhelper compatibility level to 13.
  * Bump standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 06 Mar 2025 16:41:30 +0300

itk4 (4.1.0-3.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Sun, 03 Jan 2021 19:56:52 +0100

itk4 (4.1.0-3) unstable; urgency=medium

  * Add conflicts with itk3-dev as conflicting with itk-dev isn't
    sufficient since itk3-dev doesn't provide itk-dev (closes: #892710).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 15 Mar 2018 10:53:50 +0300

itk4 (4.1.0-2) unstable; urgency=medium

  * Add conflicts with itk-dev and itk-doc to prevent coinstallability of
    tk-itk4-dev and tk-itk4-doc with itk3-dev and itk3-doc since they
    share a few files (closes: #892710).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 12 Mar 2018 13:09:08 +0300

itk4 (4.1.0-1) unstable; urgency=low

  * Initial release (closes: #892157).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 06 Mar 2018 11:39:59 +0300
