=== debian/control ===
Source: itk4
Section: libs
Priority: optional
Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper-compat (= 13), libxt-dev, tcl-itcl4-dev (>> 4.0.0~), tk-dev
Standards-Version: 4.7.2
Homepage: https://incrtcl.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/tcltk-team/itk4
Vcs-Git: https://salsa.debian.org/tcltk-team/itk4.git

Package: tk-itk4
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, libtk, tcl-itcl4, ${misc:Depends}
Suggests: tk-itk4-doc
Description: [incr Tk] OOP extension version 4 for Tk - run-time files
 [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
 with the popular Tk graphical toolkit to create a framework for
 creating mega-widgets.  One such set of mega-widgets is provided by
 the iwidgets package.
 .
 This package contains everything you need to run itk scripts and
 itk-enabled apps.

Package: tk-itk4-dev
Section: devel
Architecture: any
Multi-Arch: same
Depends: tcl-itcl4-dev, tk-dev, tk-itk4 (= ${binary:Version}), ${misc:Depends}
Suggests: tk-itk4-doc
Conflicts: itk-dev, itk3-dev, tk-itk-dev
Provides: tk-itk-dev
Description: [incr Tk] OOP extension version 4 for Tk - development files
 [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
 with the popular Tk graphical toolkit to create a framework for
 creating mega-widgets.  One such set of mega-widgets is provided by
 the iwidgets package.
 .
 This package contains the headers and libraries needed to embed or
 add C extensions to itk.

Package: tk-itk4-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: tk-itk4
Conflicts: itk-doc, tk-itk-doc
Provides: tk-itk-doc
Description: [incr Tk] OOP extension version 4 for Tk - manual pages
 [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
 with the popular Tk graphical toolkit to create a framework for
 creating mega-widgets.  One such set of mega-widgets is provided by
 the iwidgets package.
 .
 This package contains the man pages for the classes provided by itk.
