## itk4 4.2.5~20240521

=== debian/changelog ===
itk4 (4.2.5~20240521-1) unstable; urgency=medium

  * New upstream fossil snapshot.
  * Refresh patches.
  * Build thw library both for Tcl 8.6 and for Tcl 9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 21 Mar 2025 21:35:44 +0300
