=== debian/control ===
--- 
+++ 
@@ -3,7 +3,8 @@
 Priority: optional
 Maintainer: Debian Tcl/Tk Packagers <pkg-tcltk-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper-compat (= 13), libxt-dev, tcl-itcl4-dev (>> 4.0.0~), tk-dev
+Build-Depends: debhelper-compat (= 13), libxt-dev, tcl-itcl4-dev (>> 4.3.2-3~),
+ tk-dev, tk8.6-dev, tk9.0-dev
 Standards-Version: 4.7.2
 Homepage: https://incrtcl.sourceforge.net/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/itk4
@@ -14,6 +15,7 @@
 Multi-Arch: same
 Depends: ${shlibs:Depends}, libtk, tcl-itcl4, ${misc:Depends}
 Suggests: tk-itk4-doc
+Provides: tk8.6-itk4 (= ${binary:Version}), tk9.0-itk4 (= ${binary:Version})
 Description: [incr Tk] OOP extension version 4 for Tk - run-time files
  [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
  with the popular Tk graphical toolkit to create a framework for
@@ -30,7 +32,7 @@
 Depends: tcl-itcl4-dev, tk-dev, tk-itk4 (= ${binary:Version}), ${misc:Depends}
 Suggests: tk-itk4-doc
 Conflicts: itk-dev, itk3-dev, tk-itk-dev
-Provides: tk-itk-dev
+Provides: tk-itk-dev, tk8.6-itk4-dev (= ${binary:Version}), tk9.0-itk4-dev (= ${binary:Version})
 Description: [incr Tk] OOP extension version 4 for Tk - development files
  [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
  with the popular Tk graphical toolkit to create a framework for
@@ -47,7 +49,7 @@
 Depends: ${misc:Depends}
 Suggests: tk-itk4
 Conflicts: itk-doc, tk-itk-doc
-Provides: tk-itk-doc
+Provides: tk-itk-doc, tk8.6-itk4-doc (= ${binary:Version}), tk9.0-itk4-doc (= ${binary:Version})
 Description: [incr Tk] OOP extension version 4 for Tk - manual pages
  [incr Tk] (or itk) combines the object-oriented power of [incr Tcl]
  with the popular Tk graphical toolkit to create a framework for
