=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,8 @@
 v=$(vmajor).$(vminor).$(vpatchlevel)
 v1=$(vmajor).$(vminor).$(shell expr $(vpatchlevel) + 1)
 dtmp=$(shell pwd)/debian/tmp
+
+TCLVERSIONS = 8.6 9.0
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
@@ -19,14 +21,17 @@
 	dh_autoreconf
 
 override_dh_auto_configure:
-	LIBS="-Wl,-soname,libitk$(vmajor).so" \
-	dh_auto_configure -- \
+	for vv in $(TCLVERSIONS) ; do \
+		if [ "$$vv" = "9.0" ] ; then tcl9=tcl9 ; fi ; \
+		LIBS="-Wl,-soname,lib$${tcl9}itk$(vmajor).so" \
+		dh_auto_configure -B$(CURDIR)/debian/$$vv -- \
 		       --includedir=/usr/include/itcl \
 		       --enable-shared \
 		       --enable-threads \
 		       --with-itcl=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		       --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH) \
-		       --with-tk=/usr/lib/$(DEB_HOST_MULTIARCH)
+		       --with-tcl=/usr/lib/tcl$$vv \
+		       --with-tk=/usr/lib/tk$$vv ; \
+	done
 
 override_dh_clean:
 	[ ! -f Makefile ] || $(MAKE) clean
@@ -37,16 +42,19 @@
 	dh_clean
 
 override_dh_auto_install:
-	$(MAKE) prefix=$(dtmp)/usr \
-		exec_prefix=$(dtmp)/usr \
-		includedir=$(dtmp)/usr/include/itcl \
-		install
-	install -m 644 itkConfig.sh $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itk*
+	for vv in $(TCLVERSIONS) ; do \
+		$(MAKE) -C$(CURDIR)/debian/$$vv \
+			prefix=$(dtmp)/usr \
+			exec_prefix=$(dtmp)/usr \
+			includedir=$(dtmp)/usr/include/itcl \
+			install ; \
+	done
 	#
 	# Fix up the itk libraries.
-	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itk*/libitk$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)
+	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itk*/lib*itk$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)
 	mv $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/itk*/*.a $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)
 	ln -s libitk$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libitk$(vmajor).so
+	ln -s libtcl9itk$(v).so $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libtcl9itk$(vmajor).so
 	ln -s libitkstub$(v).a $(dtmp)/usr/lib/$(DEB_HOST_MULTIARCH)/libitkstub$(vmajor).a
 	#  (itkConfig.sh doesn't get installed at all, so we install it here)
 	sed -e "s:^\(ITK_\(BUILD_\)\?LIB_SPEC\)=.*$$:\1='-L/usr/lib/$(DEB_HOST_MULTIARCH) -litk$(vmajor)':" \
@@ -82,11 +90,14 @@
 override_dh_auto_test:
 	# Tests require X-Window, so, diable them
 
-vv = 4.1.0
+VERSION = 4.2.5
+DATE = 20240521
 
 get-orig-source:
-	wget -O itk4_$(vv).orig.tar.gz \
-	     http://prdownloads.sourceforge.net/incrtcl/itk$(vv).tar.gz
+	wget -O itk4_$(VERSION)~$(DATE).orig.tar.gz \
+		https://core.tcl-lang.org/itk/tarball/Itk.tar.gz?r=trunk:$(DATE)
+	wget -O itk4_$(VERSION)~$(DATE).orig-tclconfig.tar.gz \
+		https://core.tcl-lang.org/tclconfig/tarball/tclconfig.tar.gz?r=trunk:$(DATE)
 
 .PHONY: override_dh_auto_configure override_dh_clean override_dh_auto_test \
 	override_dh_auto_install get-orig-source
